Bug 980069 - password.py: Miss to show the current status of ssh password authentication after configured it.
password.py: Miss to show the current status of ssh password authentication a...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.1
Assigned To: haiyang,dong
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 06:54 EDT by haiyang,dong
Modified: 2014-04-30 07:24 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 07:24:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2013-07-01 06:54:23 EDT
Description of problem:
Using /usr/libexec/ovirt-config-password to configure ssh_password_authentication, after setting it,
ovirt-config-password missed to show the current status of ssh password authentication.

For old "ovirt-config-password" bash script version didn't have this issue.



Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-0.999.999.20130628210419git4aea851.2642.fc18.iso

How reproducible:
100%


Steps to Reproduce:



Actual results:


Expected results:


Additional info:
Comment 1 haiyang,dong 2013-07-01 07:04:28 EDT
Add the patch to show the current status of ssh password authentication after setting it.
http://gerrit.ovirt.org/#/c/16286/

Tested as follows:
> set_ssh_password_authentication

 SSH password authentication

Enable SSH password authentication ([Y]es/[N]o)?Y
[INFO] SSH password authentication is currently enabled.
> set_ssh_password_authentication

 SSH password authentication

Enable SSH password authentication ([Y]es/[N]o)?n
[WARNING] File already persisted: /etc/ssh/sshd_config
[WARNING] /etc/ssh/sshd_config Already persisted
[INFO] SSH password authentication is currently disabled.
Comment 2 Sandro Bonazzola 2014-03-04 04:23:23 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.